##### Coverage Report - org.owasp.dependencycheck.jaxb.pom.generated.ActivationOS

Classes in this File | Line Coverage | Branch Coverage | Complexity
ActivationOS |
0% | 0/13
N/A | N/A
| 1.0;1

1 |  |
     //
2 |  |
     // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
3 |  |
     // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
4 |  |
     // Any modifications to this file will be lost upon recompilation of the source schema.
5 |  |
     // Generated on: 2012.11.09 at 12:33:57 PM EST
6 |  |
     //
7 |  |
8 |  |
9 |  |
     package org.owasp.dependencycheck.jaxb.pom.generated;
10 |  |
11 |  |
     import javax.annotation.Generated;
12 |  |
     import javax.xml.bind.annotation.XmlAccessType;
13 |  |
     import javax.xml.bind.annotation.XmlAccessorType;
14 |  |
     import javax.xml.bind.annotation.XmlType;
15 |  |
16 |  |
17 |  |
     /**
18 |  |
      *
19 |  |
      *         This is an activator which will detect an operating system's attributes in order to activate
20 |  |
      *         its profile.
21 |  |
      *
22 |  |
      *
23 |  |
      * <p>Java class for ActivationOS complex type.
24 |  |
      *
25 |  |
      * <p>The following schema fragment specifies the expected content contained within this class.
26 |  |
      *
27 |  |
      * <pre>
28 |  |
      * &lt;complexType name="ActivationOS">
29 |  |
      *   &lt;complexContent>
30 |  |
      *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
31 |  |
      *       &lt;all>
32 |  |
      *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
33 |  |
      *         &lt;element name="family" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
34 |  |
      *         &lt;element name="arch" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
35 |  |
      *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
36 |  |
      *       &lt;/all>
37 |  |
      *     &lt;/restriction>
38 |  |
      *   &lt;/complexContent>
39 |  |
      * &lt;/complexType>
40 |  |
      * </pre>
41 |  |
      *
42 |  |
      *
43 |  |
      */
44 |  |
     @XmlAccessorType(XmlAccessType.FIELD)
45 |  |
     @XmlType(name = "ActivationOS", propOrder = {
46 |  |
47 |  |
     })
48 |  |
     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
49 | 0 |
     public class ActivationOS {
50 |  |
51 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
52 |  |
         protected String name;
53 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
54 |  |
         protected String family;
55 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
56 |  |
         protected String arch;
57 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
58 |  |
         protected String version;
59 |  |
60 |  |
         /**
61 |  |
          * Gets the value of the name property.
62 |  |
          *
63 |  |
          * @return
64 |  |
          *     possible object is
65 |  |
          *     {@link String }
66 |  |
          *
67 |  |
          */
68 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
69 |  |
         public String getName() {
70 | 0 |
             return name;
71 |  |
         }
72 |  |
73 |  |
         /**
74 |  |
          * Sets the value of the name property.
75 |  |
          *
76 |  |
          * @param value
77 |  |
          *     allowed object is
78 |  |
          *     {@link String }
79 |  |
          *
80 |  |
          */
81 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
82 |  |
         public void setName(String value) {
83 | 0 |
             this.name = value;
84 | 0 |
         }
85 |  |
86 |  |
         /**
87 |  |
          * Gets the value of the family property.
88 |  |
          *
89 |  |
          * @return
90 |  |
          *     possible object is
91 |  |
          *     {@link String }
92 |  |
          *
93 |  |
          */
94 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
95 |  |
         public String getFamily() {
96 | 0 |
             return family;
97 |  |
         }
98 |  |
99 |  |
         /**
100 |  |
          * Sets the value of the family property.
101 |  |
          *
102 |  |
          * @param value
103 |  |
          *     allowed object is
104 |  |
          *     {@link String }
105 |  |
          *
106 |  |
          */
107 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
108 |  |
         public void setFamily(String value) {
109 | 0 |
             this.family = value;
110 | 0 |
         }
111 |  |
112 |  |
         /**
113 |  |
          * Gets the value of the arch property.
114 |  |
          *
115 |  |
          * @return
116 |  |
          *     possible object is
117 |  |
          *     {@link String }
118 |  |
          *
119 |  |
          */
120 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
121 |  |
         public String getArch() {
122 | 0 |
             return arch;
123 |  |
         }
124 |  |
125 |  |
         /**
126 |  |
          * Sets the value of the arch property.
127 |  |
          *
128 |  |
          * @param value
129 |  |
          *     allowed object is
130 |  |
          *     {@link String }
131 |  |
          *
132 |  |
          */
133 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
134 |  |
         public void setArch(String value) {
135 | 0 |
             this.arch = value;
136 | 0 |
         }
137 |  |
138 |  |
         /**
139 |  |
          * Gets the value of the version property.
140 |  |
          *
141 |  |
          * @return
142 |  |
          *     possible object is
143 |  |
          *     {@link String }
144 |  |
          *
145 |  |
          */
146 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
147 |  |
         public String getVersion() {
148 | 0 |
             return version;
149 |  |
         }
150 |  |
151 |  |
         /**
152 |  |
          * Sets the value of the version property.
153 |  |
          *
154 |  |
          * @param value
155 |  |
          *     allowed object is
156 |  |
          *     {@link String }
157 |  |
          *
158 |  |
          */
159 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
160 |  |
         public void setVersion(String value) {
161 | 0 |
             this.version = value;
162 | 0 |
         }
163 |  |
164 |  |
     }